#include <iostream> // подключение библиотеки ввода-вывода
#include <string> // подключение библиотеки для работы со строками
#include <vector> // подключение библиотеки для работы с векторами

using namespace std; // подключение пространства имён std

int main(){
    string first_word, second_word; // вводимые слова
    int count_overlap; // счётчик совпадений букв первого слова со вторым
    int count_repeat; // счётчик повторов в первом слове
    char letter;

    // ввод строк
    cout << "Input first word: ";
    getline(cin, first_word);

    cout << "Input second word: ";
    getline(cin, second_word);

    cout << "Result: ";
    for (int i = 0; i < first_word.size(); i++){
        // обнуляем счётчики
        count_overlap = 0;
        count_repeat = 0;
        // проверка на повторения
        for (int j = 0; j < first_word.size(); j++){
            if (first_word[i] == first_word[j]){
                count_repeat++;
            }
        }
        // проверка на наличие совпадений
        for (int j = 0; j < second_word.size(); j++){
            if (first_word[i] == second_word[j]){
                count_overlap++;
            }
        }

        if (count_overlap == 1 && count_repeat == 1){ // если у буквы нет повторов и есть только 1 совпадение, то
            cout << first_word[i] << " "; // выводим её
        }
    }

    cout << endl;

    return 0; // успешное завершение программы
}